using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;

namespace SampleWinForms
{
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TextBox htmlPath;
		private System.Windows.Forms.TextBox rtfPath;
		private System.Windows.Forms.Button browseHtml;
		private System.Windows.Forms.Button browseRtf;
		private System.Windows.Forms.Label result;
		private System.Windows.Forms.Button convert;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			InitializeComponent();
		}
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.htmlPath = new System.Windows.Forms.TextBox();
			this.rtfPath = new System.Windows.Forms.TextBox();
			this.browseHtml = new System.Windows.Forms.Button();
			this.browseRtf = new System.Windows.Forms.Button();
			this.result = new System.Windows.Forms.Label();
			this.convert = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// htmlPath
			// 
			this.htmlPath.Location = new System.Drawing.Point(16, 40);
			this.htmlPath.Name = "htmlPath";
			this.htmlPath.Size = new System.Drawing.Size(288, 20);
			this.htmlPath.TabIndex = 0;
			this.htmlPath.Text = "";
			// 
			// rtfPath
			// 
			this.rtfPath.Location = new System.Drawing.Point(16, 96);
			this.rtfPath.Name = "rtfPath";
			this.rtfPath.Size = new System.Drawing.Size(288, 20);
			this.rtfPath.TabIndex = 0;
			this.rtfPath.Text = "";
			// 
			// browseHtml
			// 
			this.browseHtml.Location = new System.Drawing.Point(312, 40);
			this.browseHtml.Name = "browseHtml";
			this.browseHtml.Size = new System.Drawing.Size(32, 23);
			this.browseHtml.TabIndex = 1;
			this.browseHtml.Text = "...";
			this.browseHtml.Click += new System.EventHandler(this.browseHtml_Click);
			// 
			// browseRtf
			// 
			this.browseRtf.Location = new System.Drawing.Point(312, 96);
			this.browseRtf.Name = "browseRtf";
			this.browseRtf.Size = new System.Drawing.Size(32, 23);
			this.browseRtf.TabIndex = 1;
			this.browseRtf.Text = "...";
			this.browseRtf.Click += new System.EventHandler(this.browseRtf_Click);
			// 
			// result
			// 
			this.result.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.result.ForeColor = System.Drawing.SystemColors.ControlText;
			this.result.Location = new System.Drawing.Point(16, 128);
			this.result.Name = "result";
			this.result.Size = new System.Drawing.Size(232, 32);
			this.result.TabIndex = 2;
			// 
			// convert
			// 
			this.convert.Location = new System.Drawing.Point(269, 136);
			this.convert.Name = "convert";
			this.convert.TabIndex = 3;
			this.convert.Text = "Convert";
			this.convert.Click += new System.EventHandler(this.convert_Click);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(15, 18);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(48, 16);
			this.label1.TabIndex = 4;
			this.label1.Text = "From:";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(14, 74);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(48, 16);
			this.label2.TabIndex = 4;
			this.label2.Text = "To:";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(360, 173);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.convert);
			this.Controls.Add(this.result);
			this.Controls.Add(this.browseHtml);
			this.Controls.Add(this.htmlPath);
			this.Controls.Add(this.rtfPath);
			this.Controls.Add(this.browseRtf);
			this.Controls.Add(this.label2);
			this.MaximumSize = new System.Drawing.Size(368, 200);
			this.MinimumSize = new System.Drawing.Size(368, 200);
			this.Name = "Form1";
			this.Text = "Demo HTML->RTF";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			
		}

		private void browseHtml_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog openFileDialog1 = new OpenFileDialog();
			openFileDialog1.InitialDirectory = @"c:\";
			openFileDialog1.Filter = "HTML (*.html) | *.htm*";
			openFileDialog1.FilterIndex = 2 ;
			openFileDialog1.RestoreDirectory = true ;

			if (openFileDialog1.ShowDialog() == DialogResult.OK)
			{
				htmlPath.Text = openFileDialog1.FileName;

				int ind_slash = htmlPath.Text.LastIndexOf("\\");
				int ind_dot = htmlPath.Text.LastIndexOf(".");
				try
				{
					string _s1 = htmlPath.Text.Substring(0, ind_slash);
					string _s2 = htmlPath.Text.Substring(ind_slash, ind_dot - ind_slash);
					rtfPath.Text = _s1 + _s2;
					rtfPath.Text = Path.ChangeExtension(rtfPath.Text, ".rtf");
				}
				catch { };
			}
		}

		private void browseRtf_Click(object sender, System.EventArgs e)
		{
			SaveFileDialog SaveFileDialog1 = new SaveFileDialog();
			SaveFileDialog1.CreatePrompt = true;
			SaveFileDialog1.OverwritePrompt = true;
			if (htmlPath.Text == "")
			{
				SaveFileDialog1.FileName = "Test";
				SaveFileDialog1.InitialDirectory = @"c:\";
			}
			else
			{
				int ind_slash = htmlPath.Text.LastIndexOf("\\");
				int ind_dot = htmlPath.Text.LastIndexOf(".");
				string _s1 = htmlPath.Text.Substring(0, ind_slash);
				string _s2 = htmlPath.Text.Substring(ind_slash, ind_dot - ind_slash);
				SaveFileDialog1.FileName = _s2;
				SaveFileDialog1.InitialDirectory = _s1;
			}
			SaveFileDialog1.DefaultExt = "*";
			SaveFileDialog1.Filter = "RTF |*.rtf";

			if (SaveFileDialog1.ShowDialog() == DialogResult.OK)
			{
				rtfPath.Text = SaveFileDialog1.FileName;
			}
		}

		private void convert_Click(object sender, System.EventArgs e)
		{
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";

			//specify some options
			h.OutputFormat = SautinSoft.HtmlToRtf.eOutputFormat.Rtf;
			h.Encoding = SautinSoft.HtmlToRtf.eEncoding.AutoDetect;
			h.PageStyle.PageSize.Letter();			

			
			int i = h.ConvertFile(htmlPath.Text,rtfPath.Text);
			if (i == 0)
			{
				result.Text="Converting successfully!";
				System.Diagnostics.Process.Start(rtfPath.Text);
			}
			else
			{
				switch(i)
				{
					case 1: result.Text="Can't open input file or URL, check the input path!"; break;
					case 2: result.Text="Can't create output file, check the output path!";break;
					case 3: result.Text="converting failed!";break;
					default: break;
				}
			}
			
		}

	}
}
